The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

/scripts/easyapache issue

Discussion in 'EasyApache' started by wills, Jul 14, 2004.

  1. wills

    wills Well-Known Member

    Joined:
    Jan 29, 2003
    Messages:
    202
    Likes Received:
    1
    Trophy Points:
    18
    For some reason when I update apache it still says I am running an isecure version. I distinctly select PHP 4.3.8 but still no go. Anyone else have this problem?
     
  2. webline

    webline Member

    Joined:
    Nov 6, 2003
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Singapore
    yes. i encountered this problem too even when i unclick the old PHP module and click PHP 4.3.8. it still did not update the PHP.
     
  3. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
    easyapache isn't updating any of the Apache binaries for me either
     
  4. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    having the same problem with easyapache not working. earlier today it was cought in a loop configuring php, compiling php, configuring php, compiling php, etc... now it can't even connect to cpanel's update servers.

    i just tried updating WHM/cPanel to C69 and it is getting stuck too. gets as far as
    Code:
    portsentry is up to date (Tue Jan 29 20:02:40 2002)
    then just sits there doing nothing. this is the same from withing WHM and from ssh.
     
  5. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
    Its odd how we all have somewhat different problems but all surrouding easyapache...
     
  6. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    here's a more detailed description of my problem, this is a repost from this thread
     
  7. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    well, when running upcp from ssh it seemed to still hang, after a long wait, i CTRL+C'd and it must have just skipped whatever it was working on. now it looks like the update is working. i'll know for sure when it's done! :)
     
  8. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    just noticed this from my CTRL+C

    Code:
    portsentry is up to date (Tue Jan 29 20:02:40 2002)
    There was some sort of I/O error: [Errno 32] Broken pipe
    rsync error: received SIGUSR1 or SIGINT (code 20) at rsync.c(229)
     
  9. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
    I had that problem last night. It just went away after a while.
     
  10. wills

    wills Well-Known Member

    Joined:
    Jan 29, 2003
    Messages:
    202
    Likes Received:
    1
    Trophy Points:
    18
    lol! Glad to see that I'm not the only one. I was seriously beginning to think that I did something wrong.
     
  11. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    aha! mine are all RHE3. but, i don't think the the easyapache script is affected by this. upcp is obviously. i had problems on another server with easyapache and the updated php [.8] i tried with .8 and .5 both checked and it finally worked. i'm now trying it on the server i was originally having the problem on. hopefully it will work.
     
  12. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
    none of my other RHEL servers are doing this. But yes this one is a RHEL server.
     
  13. Francisco

    Francisco Well-Known Member

    Joined:
    Jun 3, 2003
    Messages:
    99
    Likes Received:
    0
    Trophy Points:
    6
    Holy S... EasyApache did something odd to my Server, It is not comming back! and Httpd seems to have 3 Processes running! :eek:
     
  14. sureshot

    sureshot Member

    Joined:
    Mar 6, 2003
    Messages:
    22
    Likes Received:
    0
    Trophy Points:
    1
    Wolverine:

    that's the same prob i was having earlier today. apache still hasn't come back up. i'm re-running easyapache currently for like the 34th time today. this time i chose php 4.3.8 AND 4.3.5 it seems to be chugging along just fine with the compilation this time, but it is going unusually slow.
     
  15. BenThomas

    BenThomas Well-Known Member

    Joined:
    Feb 12, 2004
    Messages:
    598
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Houston, Texas USA
    cPanel Access Level:
    Root Administrator
    You can only build one version of PHP at a time. Also, I'm noticing that if you build PHP 5, a seperate module directive is added to the apache configuration. If you need to go back to an earlier version of PHP, then you have to manually comment out all the PHP 5 module directives from the apache configuration. Otherwise you'll see things like apache starting, but not listening on any ports.
     
  16. Dillard

    Dillard Well-Known Member

    Joined:
    Feb 26, 2003
    Messages:
    114
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    The Netherlands
    Server fainted

    Hmm, Yesterday I tried to update Apache/PHP too 4.3.8 and my server hung. Today I had to drive to the datacenter to change a harddisk and reboot this server :-( After the reboot I tried it again, and again it hung !

    I'm using C72 on FreeBSD 5.1. Anybody any idea ??

    Dillard
     
  17. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    IT IS BECAUSE OF THIS!!!!!!!!!!!!!!!!!!!!!!! I GUARANTEE.
     
  18. BenThomas

    BenThomas Well-Known Member

    Joined:
    Feb 12, 2004
    Messages:
    598
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Houston, Texas USA
    cPanel Access Level:
    Root Administrator
    Well, since its on FreeBSD I don't think the RHN has much to do with that one. You'll need to submit a support ticket. That's the quickest way to resolve your issues. Then you can report back here the results.
     
  19. jrehmer

    jrehmer Well-Known Member

    Joined:
    Apr 10, 2003
    Messages:
    287
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Denver, CO
    So is this someone from cpanel finally saing hey RHN IS DOWN?

    Cause that would be nice, I see about five threads that pertain to this that have been up since yesterday.
     
  20. Aric1

    Aric1 Well-Known Member

    Joined:
    Oct 15, 2003
    Messages:
    324
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    The problem with Easyapache not updating to new versions of PHP when you select them isn't new, and it has nothing to do with the up2date network. In fact, if the approximately 17 servers I tried to update from PHP 4.3.7 to 4.3.8 using Easyappache, only one of them worked. All the rest acted as if I never selected PHP and just left 4.3.7 version completely untouched.

    I've reported the same behavior with prior versions from time to time and no one has answered me as to the cause. I usually have to wait for a new version of Easyapache or do a manual build.
     
Loading...

Share This Page